t38_gateway_state_s Struct Reference

`#include <t38_gateway.h>`

## Public Attributes

t38_gateway_t38_state_t | t38x
t38_gateway_audio_state_t | audio
t38_gateway_core_state_t | core
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

T.38 gateway state.

## Member Data Documentation

## audio

t38_gateway_audio_state_t t38_gateway_state_s::audio

Audio side state

Referenced by t38_gateway_init(), t38_gateway_set_tep_mode(), and t38_gateway_set_transmit_on_idle().

## core

t38_gateway_core_state_t t38_gateway_state_s::core

T.38 core state

Referenced by t38_gateway_get_transfer_statistics(), t38_gateway_init(), t38_gateway_set_ecm_capability(), t38_gateway_set_fill_bit_removal(), t38_gateway_set_real_time_frame_handler(), and t38_gateway_set_supported_modems().

## t38x

t38_gateway_t38_state_t t38_gateway_state_s::t38x

T.38 side state

Referenced by t38_gateway_get_t38_core_state(), t38_gateway_set_nsx_suppression(), and t38_gateway_set_supported_modems().

The documentation for this struct was generated from the following file:

- private/t38_gateway.h